import 'package:flutter_bloc/flutter_bloc.dart';

import 'delegate.dart';
import 'event.dart';
import 'state.dart';

class AdvertisementImageBloc
    extends Bloc<AdvertisementImageBlocEvent, AdvertisementImageBlocState> {
  final AdvertisementImageBlocDelegate delegate;

  AdvertisementImageBloc({required this.delegate, required initialState})
      : super(initialState) {
    registerAdvertisementImageListMapFetchEvent();
  }

  void registerAdvertisementImageListMapFetchEvent() {
    on<AdvertisementImageListMapFetchEvent>((event, emit) async {
      await delegate.fetchAdvertisementImageListMap().then((listMap) {
        emit.call(AdvertisementImageBlocState.success(
            advertisementImageListMap: listMap));
      });
    });
  }
}
