import 'package:flutter_bloc/flutter_bloc.dart';

import 'delegate.dart';
import 'event.dart';
import 'state.dart';

class ClassificationDetailBloc
    extends Bloc<ClassificationDetailBlocEvent, ClassificationDetailBlocState> {
  final ClassificationDetailBlocDelegate delegate;

  ClassificationDetailBloc({required this.delegate, required initialState})
      : super(initialState) {
    registerVideoDetailFetchEvent();
  }

  void registerVideoDetailFetchEvent() {
    on<ClassificationDetailFetchEvent>((event, emit) async {
      await delegate.fetchClassificationDetail().then((data) {
        emit.call(
            ClassificationDetailBlocState.success(classificationDetail: data));
        event.callback?.call();
      });
    });
  }
}
