import 'package:flutter_bloc/flutter_bloc.dart';

import 'delegate.dart';
import 'event.dart';
import 'state.dart';

class RelativeVideoCollectionBloc extends Bloc<RelativeVideoCollectionBlocEvent,
    RelativeVideoCollectionBlocState> {
  final RelativeVideoCollectionBlocDelegate delegate;

  RelativeVideoCollectionBloc({required this.delegate, required initialState})
      : super(initialState) {
    registerRelativeVideoCollectionFetchEvent();
    registerCleanRelativeVideoCollectionEvent();
  }

  void registerRelativeVideoCollectionFetchEvent() {
    on<RelativeVideoCollectionFetchEvent>((event, emit) async {
      await delegate.fetchRelativeVideoCollection().then((data) {
        emit.call(RelativeVideoCollectionBlocState.success(
            relativeVideoCollection: data));
        event.callback?.call();
      });
    });
  }

  void registerCleanRelativeVideoCollectionEvent() {
    on<CleanRelativeVideoCollectionEvent>((event, emit) async {
      emit.call(RelativeVideoCollectionBlocState.init());
      event.callback?.call();
    });
  }
}
