import 'package:flutter_bloc/flutter_bloc.dart';

import 'delegate.dart';
import 'event.dart';
import 'state.dart';

class VideoDetailBloc extends Bloc<VideoDetailBlocEvent, VideoDetailBlocState> {
  final VideoDetailBlocDelegate delegate;

  VideoDetailBloc({required this.delegate, required initialState})
      : super(initialState) {
    registerVideoDetailFetchEvent();
    registerCleanVideoDetailEvent();
  }

  void registerVideoDetailFetchEvent() {
    on<VideoDetailFetchEvent>((event, emit) async {
      await delegate.fetchVideoDetail().then((data) {
        emit.call(VideoDetailBlocState.success(videoDetail: data));
        event.callback?.call();
      });
    });
  }

  void registerCleanVideoDetailEvent() {
    on<CleanVideoDetailEvent>((event, emit) async {
      emit.call(VideoDetailBlocState.init());
      event.callback?.call();
    });
  }
}
