import 'package:flutter_bloc/flutter_bloc.dart';

import 'delegate.dart';
import 'event.dart';
import 'state.dart';

class VideoGroupBloc extends Bloc<VideoGroupBlocEvent, VideoGroupBlocState> {
  final VideoGroupBlocDelegate delegate;

  VideoGroupBloc({required this.delegate, required initialState})
      : super(initialState) {
    registerVideoGroupListFetchEvent();
  }

  void registerVideoGroupListFetchEvent() {
    on<VideoGroupListFetchEvent>((event, emit) async {
      await delegate.fetchVideoGroupList().then((list) {
        emit.call(VideoGroupBlocState.success(videoGroupList: list));
        event.callback?.call();
      });
    });
  }
}
