import 'package:flutter/material.dart';

import '../delegate/bezier_curve.dart';

class BezierCurveWrapper extends StatelessWidget {
  final BezierCurveDelegate delegate;
  final Widget child;

  const BezierCurveWrapper({
    super.key,
    required this.child,
    required this.delegate,
  });

  @override
  Widget build(BuildContext context) {
    return ClipPath(
      clipper: BezierCurveClipper(delegate),
      child: child,
    );
  }
}

class BezierCurveClipper extends CustomClipper<Path> {
  final BezierCurveDelegate delegate;

  BezierCurveClipper(this.delegate);

  @override
  Path getClip(Size size) {
    return delegate.customClipPath(size);
  }

  @override
  bool shouldReclip(covariant CustomClipper<Path> oldClipper) => false;
}
