import 'dart:html' as html;
import 'dart:ui' as ui;

import 'package:flutter/material.dart';

class Html5IosPlayerPanelView extends StatefulWidget {
  final String videoUrl;

  const Html5IosPlayerPanelView({super.key, required this.videoUrl});

  @override
  State<Html5IosPlayerPanelView> createState() =>
      _Html5IosPlayerPanelViewState();
}

class _Html5IosPlayerPanelViewState extends State<Html5IosPlayerPanelView> {
  late html.VideoElement videoElement;

  @override
  void initState() {
    super.initState();
    videoElement = html.VideoElement();
    videoElement.src = widget.videoUrl;
    videoElement.autoplay = true;
    videoElement.controls = true;
    videoElement.setAttribute('playsinline', 'true');
    // ignore: undefined_prefixed_name
    ui.platformViewRegistry.registerViewFactory(
      'videoElement',
      (int viewId) => videoElement,
    );
  }

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) {
        return SizedBox(
          width: constraints.maxWidth,
          height: constraints.maxHeight,
          child: HtmlElementView(
            key: UniqueKey(),
            viewType: 'videoElement',
          ),
        );
      },
    );
  }
}
