import 'package:flutter/material.dart';

import 'panel/html5_ios_player_panel.dart';

class PlayerView extends StatelessWidget {
  final String videoUrl;
  final double? aspectRatio;
  final String? pauseImagePath;
  final VoidCallback? onPauseImageTap;

  const PlayerView({
    super.key,
    required this.videoUrl,
    this.aspectRatio,
    this.pauseImagePath,
    this.onPauseImageTap,
  });

  @override
  Widget build(BuildContext context) {
    return AspectRatio(
      aspectRatio: aspectRatio ?? 16 / 9,
      child: Center(
        child: Html5IosPlayerPanelView(videoUrl: videoUrl),
      ),
    );
  }
}
