import 'package:flutter/material.dart';

class RippleWrapper extends StatelessWidget {
  final Widget child;
  final VoidCallback? onTap;
  final Color? splashColor, backgroundColor;
  final Decoration? decoration;
  final BorderRadius? borderRadius;

  const RippleWrapper(
      {super.key,
      required this.child,
      this.onTap,
      this.splashColor,
      this.backgroundColor,
      this.decoration,
      this.borderRadius});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      splashFactory: InkRipple.splashFactory,
      splashColor: splashColor,
      borderRadius: borderRadius,
      child: Ink(
        color: backgroundColor,
        decoration: decoration,
        child: child,
      ),
    );
  }
}
