import 'package:flutter/material.dart';

import '../../constant/value/color.dart';
import '../../constant/value/size.dart';

class TagView extends StatelessWidget {
  final String tag;
  final double? fontSize;
  final double? radius;
  final FontWeight? fontWeight;
  final Color? backgroundColor, color, splashColor;
  final EdgeInsetsGeometry? padding;
  final VoidCallback? onTap;

  const TagView(
      {super.key,
      required this.tag,
      this.fontSize,
      this.radius,
      this.fontWeight,
      this.backgroundColor,
      this.color,
      this.splashColor,
      this.padding,
      this.onTap});

  @override
  Widget build(BuildContext context) {
    return Card(
      color: CustomColors.transparent,
      child: InkWell(
        onTap: onTap,
        splashFactory: InkRipple.splashFactory,
        splashColor: splashColor,
        borderRadius: BorderRadius.circular(radius ?? 12),
        child: Ink(
          decoration: BoxDecoration(
            color: backgroundColor ?? CustomColors.white,
            borderRadius: BorderRadius.circular(radius ?? 12),
          ),
          child: Padding(
            padding: padding ?? const EdgeInsets.all(0),
            child: Text(
              tag,
              style: TextStyle(
                  fontWeight: fontWeight ?? FontWeight.normal,
                  fontSize: fontSize ?? FontSize.medium,
                  color: color ?? CustomColors.black),
            ),
          ),
        ),
      ),
    );
  }
}
