import '../structure/entity/advertisement_image.dart';
import '../structure/entity/classification_detail.dart';
import '../structure/entity/relative_video_collection.dart';
import '../structure/entity/video.dart';
import '../structure/entity/video_detail.dart';
import '../structure/entity/video_group.dart';

abstract class DataServiceDelegate {
  Future<String> getBase64Cache(String key);

  Future<void> saveBase64Cache(String key, String value);

  Future<String> getBinaryImageFile(String path);

  Future<Map<String, List<AdvertisementImage>>> getAdvertisementImageListMap(
      List<String> imageRatioList);

  Future<ClassificationDetail> getClassificationDetail(
      int videoSize, String imageRatio);

  Future<VideoDetail> getVideoDetail(int videoId, String imageRatio);

  Future<List<VideoGroup>> getAllVideoGroupList();

  Future<List<Video>> getAllVideoList(
      int lower, int upper, String sort, String imageRatio);

  Future<List<Video>> getGroupVideoList(
      int groupId, int lower, int upper, String sort, String imageRatio);

  Future<RelativeVideoCollection> getRelativeVideoCollection(
      int videoId, int videoSize, String imageRatio);
}
