import 'package:flutter/material.dart';

import '../constant/enum/route.dart';

abstract class RouteDelegate {
  Widget getViewModule(
      ModuleViewKey moduleViewKey, Map<String, dynamic> params);

  void push(String path, Map<String, dynamic> params,
      {RouteTransitionDelegate? transitionDelegate});

  void replacement(String path, Map<String, dynamic> params,
      {RouteTransitionDelegate? transitionDelegate});

  void pop();

  Future<void> toggleFullscreen(bool isFullscreen);
}

abstract class RouteTransitionDelegate {
  AnimatedWidget customAnimation(Animation<double> animation,
      Animation<double> secondaryAnimation, Widget child);
}
