import 'dart:html';

import 'package:redinfo_integrated_ott_platform_flutter_sdk/delegate/communication_input_listener_delegate.dart';
import 'package:redinfo_integrated_ott_platform_flutter_sdk/module/iframe_communication/slave.dart';

import '../component/delegate/player_switch.dart';
import '../constant/value/instance_container.dart';
import '../delegate/route.dart';
import '../util/instance_register.dart';

class IframeCommunicationManager extends IframeCommunicationSlave {
  IframeCommunicationManager()
      : super(
            parent: window.parent!,
            communicationInputListenerDelegate:
                _CommunicationInputListenerDelegate());
}

class _CommunicationInputListenerDelegate
    implements CommunicationInputListenerDelegate {
  @override
  void onReceivePopRoute() {
    RouteDelegate routeDelegate = InstanceRegister.resolve<RouteDelegate>(
        InstanceContainer.routeDelegate);
    routeDelegate.pop();
  }

  @override
  void onReceiveFireSearch() {}

  @override
  void onReceiveLeavePage() {
    Map<String, PlayerSwitchDelegate> playerSwitchDelegateMap =
        InstanceRegister.resolve<Map<String, PlayerSwitchDelegate>>(
            InstanceContainer.playerSwitchDelegateMap);
    for (var entry in playerSwitchDelegateMap.entries) {
      entry.value.firePause();
    }
  }
}
