import 'dart:async';

import 'package:isolate/isolate_runner.dart';
import 'package:isolate/load_balancer.dart';

import '../../delegate/load_balancer.dart';

class LoadBalancerManager implements LoadBalancerDelegate {
  Future<LoadBalancer> loadBalancer =
      LoadBalancer.create(8, IsolateRunner.spawn);

  @override
  Future<T> runIsolate<T, S>(
      FutureOr<T> Function(S argument) function, S data) async {
    LoadBalancer lb = await loadBalancer;
    return await lb.run<T, S>(function, data);
  }
}
