import 'package:flutter/material.dart';

import '../../constant/value/module_param.dart';
import '../../structure/entity/advertisement_image.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class AdvertisementCarouselPresenter extends BasePresenter
    implements AdvertisementCarouselPresenterContract {
  AdvertisementCarouselModuleDelegate? delegate;

  @override
  Widget createView(Map<String, dynamic> params) {
    delegate = params[ModuleParamKey.moduleDelegate]
        as AdvertisementCarouselModuleDelegate?;
    return AdvertisementCarouselView(
      presenter: this,
      list: params[ModuleParamKey.advertisementImageList]
          as List<AdvertisementImage>,
    );
  }

  @override
  void initialViewData() {}

  @override
  void onCarouselSlide(int index) {
    delegate?.onCarouselSlide(index);
  }
}
