import 'package:flutter/material.dart';

import '../../constant/value/instance_container.dart';
import '../../constant/value/module_param.dart';
import '../../constant/value/route.dart';
import '../../delegate/route.dart';
import '../../structure/entity/video_group.dart';
import '../../util/instance_register.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class ClassificationMenuBarPresenter extends BasePresenter
    implements ClassificationMenuBarPresenterContract {
  @override
  Widget createView(Map<String, dynamic> params) {
    return ClassificationMenuBarView(
      presenter: this,
      videoGroupList: params[ModuleParamKey.videoGroupList] as List<VideoGroup>,
    );
  }

  @override
  void initialViewData() {}

  @override
  void navigateGroupSearchPage(int videoGroupId) async {
    RouteDelegate routeDelegate = InstanceRegister.resolve<RouteDelegate>(
        InstanceContainer.routeDelegate);
    routeDelegate.push(
        RoutePath.groupSearch, {ModuleParamKey.videoGroupId: videoGroupId});
  }
}
