import 'package:flutter/material.dart';

import '../../constant/value/module_param.dart';
import '../../structure/entity/video_group.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class GroupSearchGroupTabPresenter extends BasePresenter
    implements GroupSearchGroupTabPresenterContract {
  GroupSearchGroupTabModuleDelegate? delegate;

  @override
  Widget createView(Map<String, dynamic> params) {
    delegate = params[ModuleParamKey.moduleDelegate]
        as GroupSearchGroupTabModuleDelegate?;
    return GroupSearchGroupTabView(
      presenter: this,
      videoGroupLst: params[ModuleParamKey.videoGroupList] as List<VideoGroup>,
      initialGroupId: params[ModuleParamKey.videoGroupId] as int,
    );
  }

  @override
  void initialViewData() {}

  @override
  void onSelectGroup(VideoGroup videoGroup) {
    delegate?.onSelectGroup(videoGroup);
  }
}
