import 'package:flutter/material.dart';

import '../../constant/value/localization.dart';
import '../../constant/value/module_param.dart';
import '../../constant/value/network.dart';
import '../../structure/entity/video_sort.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class GroupSearchSortTabPresenter extends BasePresenter
    implements GroupSearchSortTabPresenterContract {
  final List<VideoSort> videoSortList = [
    VideoSort(
      identity: NetworkParam.sortLatest,
      title: LocalizationStrings.latestSort,
    ),
    VideoSort(
      identity: NetworkParam.sortViews,
      title: LocalizationStrings.viewsSort,
    ),
  ];
  GroupSearchSortTabModuleDelegate? delegate;

  @override
  Widget createView(Map<String, dynamic> params) {
    delegate = params[ModuleParamKey.moduleDelegate]
        as GroupSearchSortTabModuleDelegate?;
    return GroupSearchSortTabView(
      presenter: this,
      videoSortLst: videoSortList,
    );
  }

  @override
  void initialViewData() {}

  @override
  void onSelectSort(VideoSort videoSort) {
    delegate?.onSelectSort(videoSort);
  }
}
