import 'dart:async';
import 'package:flutter/material.dart';
import '../../structure/entity/advertisement_image.dart';
import '../../structure/entity/relative_video_collection.dart';
import '../../structure/entity/video_detail.dart';

abstract class MediaPagePresenterContract {
  Widget getMediaPlayerWidget(
      VideoDetail videoDetail, AdvertisementImage advertisementImage);

  Widget getAdvertisementCarouselWidget(
      List<AdvertisementImage> advertisementImageList);

  Widget getMediaTitleWidget(VideoDetail videoDetail);

  Widget getMediaDetailWidget(VideoDetail videoDetail);

  Widget getMediaRelativeVideoCollectionWidget(
      RelativeVideoCollection relativeVideoCollection);

  void setPlayerVisibleStreamController(StreamController<bool> controller);

  Future<void> onFireRefreshEvent();
}
