import 'package:flutter/material.dart';
import '../../constant/value/color.dart';
import '../../constant/value/size.dart';
import '../../structure/entity/video_detail.dart';
import 'contract.dart';

class MediaTitleView extends StatelessWidget {
  final MediaTitlePresenterContract presenter;
  final VideoDetail videoDetail;

  const MediaTitleView({
    super.key,
    required this.presenter,
    required this.videoDetail,
  });

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) {
        return Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16),
          child: Text(
            videoDetail.title,
            style: const TextStyle(
              fontSize: FontSize.large,
              color: CustomColors.white,
            ),
          ),
        );
      },
    );
  }
}
