import 'package:flutter/material.dart';

import '../../constant/value/animation.dart';

abstract class BasePresenter {
  Widget createView(Map<String, dynamic> params);

  void initialViewData();

  Widget createViewWidget(Map<String, dynamic> params) {
    Future.delayed(AnimationDuration.short)
        .whenComplete(() => initialViewData());
    return createView(params);
  }
}
