import 'package:flutter/material.dart';

import '../../constant/value/module_param.dart';
import '../../structure/entity/video.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class VideoCollectionPresenter extends BasePresenter
    implements VideoCollectionPresenterContract {
  VideoCollectionModuleDelegate? delegate;

  @override
  Widget createView(Map<String, dynamic> params) {
    delegate =
        params[ModuleParamKey.moduleDelegate] as VideoCollectionModuleDelegate?;
    if (params[ModuleParamKey.enableScroll] as bool) {
      return ScrollableVideoCollectionView(
        presenter: this,
        crossAxisCount: params[ModuleParamKey.crossAxisCount] as int,
        videoList: params[ModuleParamKey.videoList] as List<Video>,
      );
    } else {
      return VideoCollectionView(
        presenter: this,
        crossAxisCount: params[ModuleParamKey.crossAxisCount] as int,
        videoList: params[ModuleParamKey.videoList] as List<Video>,
      );
    }
  }

  @override
  void initialViewData() {}

  @override
  void onFireTapVideoEvent(int id) {
    delegate?.onFireTapVideoEvent(id);
  }
}
