import 'package:json_annotation/json_annotation.dart';

part 'actor.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class ActorResponse {
  @JsonKey(name: "id")
  final int id;
  @JsonKey(name: "name")
  final String name;

  ActorResponse({
    required this.id,
    required this.name,
  });

  factory ActorResponse.fromJson(Map<String, dynamic> json) =>
      _$ActorResponseFromJson(json);

  Map<String, dynamic> toJson() => _$ActorResponseToJson(this);
}
