import 'package:json_annotation/json_annotation.dart';

part 'advertisement_image.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class AdvertisementImageResponse {
  @JsonKey(name: "title")
  final String title;
  @JsonKey(name: "link")
  final String link;
  @JsonKey(name: "description")
  final String description;
  @JsonKey(name: "thumbnail_path")
  final String thumbnailPath;

  AdvertisementImageResponse({
    required this.title,
    required this.link,
    required this.description,
    required this.thumbnailPath,
  });

  factory AdvertisementImageResponse.fromJson(Map<String, dynamic> json) =>
      _$AdvertisementImageResponseFromJson(json);

  Map<String, dynamic> toJson() => _$AdvertisementImageResponseToJson(this);
}
