import 'package:json_annotation/json_annotation.dart';

import 'advertisement_image.dart';

part 'advertisement_image_collection.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class AdvertisementImageCollectionResponse {
  @JsonKey(name: "ratio")
  final String ratio;
  @JsonKey(name: "advertisements")
  final List<AdvertisementImageResponse> list;

  AdvertisementImageCollectionResponse({
    required this.ratio,
    required this.list,
  });

  factory AdvertisementImageCollectionResponse.fromJson(
          Map<String, dynamic> json) =>
      _$AdvertisementImageCollectionResponseFromJson(json);

  Map<String, dynamic> toJson() =>
      _$AdvertisementImageCollectionResponseToJson(this);
}
