import 'package:json_annotation/json_annotation.dart';
import 'classification_video.dart';
import 'video_group.dart';

part 'classification_detail.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class ClassificationDetailResponse {
  @JsonKey(name: "groups")
  final List<VideoGroupResponse> videoGroupList;
  @JsonKey(name: "movies")
  final List<ClassificationVideoResponse> classificationVideoList;

  ClassificationDetailResponse({
    required this.videoGroupList,
    required this.classificationVideoList,
  });

  factory ClassificationDetailResponse.fromJson(Map<String, dynamic> json) =>
      _$ClassificationDetailResponseFromJson(json);

  Map<String, dynamic> toJson() => _$ClassificationDetailResponseToJson(this);
}
