import 'package:json_annotation/json_annotation.dart';

import 'encoding_thumbnail.dart';

part 'classification_video.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class ClassificationVideoResponse {
  @JsonKey(name: "id")
  final int id;
  @JsonKey(name: "title")
  final String title;
  @JsonKey(name: "encoding_thumbnails")
  final List<EncodingThumbnailResponse> encodingThumbnailList;

  ClassificationVideoResponse({
    required this.id,
    required this.title,
    required this.encodingThumbnailList,
  });

  factory ClassificationVideoResponse.fromJson(Map<String, dynamic> json) =>
      _$ClassificationVideoResponseFromJson(json);

  Map<String, dynamic> toJson() => _$ClassificationVideoResponseToJson(this);
}
