import 'package:json_annotation/json_annotation.dart';
import 'video.dart';

part 'relative_video_collection.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class RelativeVideoCollectionResponse {
  @JsonKey(name: "group_movies")
  final List<VideoResponse> groupVideoList;
  @JsonKey(name: "actor_movies")
  final List<VideoResponse> actorVideoList;

  RelativeVideoCollectionResponse({
    required this.groupVideoList,
    required this.actorVideoList,
  });

  factory RelativeVideoCollectionResponse.fromJson(Map<String, dynamic> json) =>
      _$RelativeVideoCollectionResponseFromJson(json);

  Map<String, dynamic> toJson() =>
      _$RelativeVideoCollectionResponseToJson(this);
}
