import 'package:json_annotation/json_annotation.dart';

part 'settings.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class SettingsResponse {
  @JsonKey(name: "api_cdn_host")
  final String apiCdnHost;
  @JsonKey(name: "ad_api_cdn_host")
  final String adApiCdnHost;
  @JsonKey(name: "image_cdn_host")
  final String imageCdnHost;
  @JsonKey(name: "movie_cdn_host")
  final String videoCdnHost;

  SettingsResponse({
    required this.apiCdnHost,
    required this.adApiCdnHost,
    required this.imageCdnHost,
    required this.videoCdnHost,
  });

  factory SettingsResponse.fromJson(Map<String, dynamic> json) =>
      _$SettingsResponseFromJson(json);

  Map<String, dynamic> toJson() => _$SettingsResponseToJson(this);
}
