import 'package:json_annotation/json_annotation.dart';

import 'encoding_thumbnail.dart';

part 'video.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class VideoResponse {
  @JsonKey(name: "id")
  final int id;
  @JsonKey(name: "title")
  final String title;
  @JsonKey(name: "encoding_thumbnails")
  final List<EncodingThumbnailResponse> encodingThumbnailList;

  VideoResponse({
    required this.id,
    required this.title,
    required this.encodingThumbnailList,
  });

  factory VideoResponse.fromJson(Map<String, dynamic> json) =>
      _$VideoResponseFromJson(json);

  Map<String, dynamic> toJson() => _$VideoResponseToJson(this);
}
