import 'package:json_annotation/json_annotation.dart';

import 'actor.dart';
import 'director.dart';
import 'encoding_thumbnail.dart';
import 'video_group.dart';

part 'video_detail.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class VideoDetailResponse {
  @JsonKey(name: "id")
  final int id;
  @JsonKey(name: "title")
  final String title;
  @JsonKey(name: "description")
  final String description;
  @JsonKey(name: "created_at")
  final String createdTime;
  @JsonKey(name: "uploaded_path")
  final String videoMediaSourcePath;
  @JsonKey(name: "encoding_thumbnails")
  final List<EncodingThumbnailResponse> encodingThumbnailList;
  @JsonKey(name: "groups")
  final List<VideoGroupResponse> videoGroupList;
  @JsonKey(name: "actors")
  final List<ActorResponse> actorList;
  @JsonKey(name: "directors")
  final List<DirectorResponse> directorList;

  VideoDetailResponse({
    required this.id,
    required this.title,
    required this.description,
    required this.createdTime,
    required this.videoMediaSourcePath,
    required this.encodingThumbnailList,
    required this.videoGroupList,
    required this.actorList,
    required this.directorList,
  });

  factory VideoDetailResponse.fromJson(Map<String, dynamic> json) =>
      _$VideoDetailResponseFromJson(json);

  Map<String, dynamic> toJson() => _$VideoDetailResponseToJson(this);
}
