class FormatParser {
  static String parseCountToString(int count, int unit) {
    String formattedString = (count / unit).toStringAsFixed(1);
    return formattedString;
  }

  static String parseDateTime(String timestamp) {
    DateTime dateTime = DateTime.parse(timestamp);
    return '${dateTime.year}-${dateTime.month.toString().padLeft(2, '0')}-${dateTime.day.toString().padLeft(2, '0')}';
  }

  static String parseVideoDuration(Duration duration) {
    final minutes = duration.inMinutes.toString().padLeft(2, '0');
    final seconds = (duration.inSeconds % 60).toString().padLeft(2, '0');
    return '$minutes:$seconds';
  }
}
