import 'package:flutter/services.dart';

class SystemUi {
  static Future<void> toggleFullscreen(bool isFullscreen) {
    return SystemChrome.setEnabledSystemUIMode(
      isFullscreen ? SystemUiMode.immersive : SystemUiMode.manual,
      overlays:
          isFullscreen ? [] : [SystemUiOverlay.top, SystemUiOverlay.bottom],
    );
  }

  static Future<void> toggleOrientation(bool isLandscape) {
    return SystemChrome.setPreferredOrientations(isLandscape
        ? [DeviceOrientation.landscapeLeft, DeviceOrientation.landscapeRight]
        : [DeviceOrientation.portraitUp, DeviceOrientation.portraitDown]);
  }
}
