import 'dart:async';
import 'dart:html';

import 'package:flutter/services.dart';

class SystemUi {
  static Future<void> toggleFullscreen(bool isFullscreen) {
    Completer<void> completer = Completer();
    if (isFullscreen) {
      if (document.documentElement != null) {
        completer.complete(document.documentElement!.requestFullscreen());
      }
    } else {
      document.exitFullscreen();
      completer.complete();
    }
    return completer.future;
  }

  static Future<void> toggleOrientation(bool isLandscape) {
    return SystemChrome.setPreferredOrientations(isLandscape
        ? [DeviceOrientation.landscapeLeft, DeviceOrientation.landscapeRight]
        : [DeviceOrientation.portraitUp, DeviceOrientation.portraitDown]);
  }
}
